package entrustPool

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type PoolRewardListRouter struct {
}

// InitPoolRewardListRouter 初始化 PoolRewardList 路由信息
func (s *PoolRewardListRouter) InitPoolRewardListRouter(Router *gin.RouterGroup) {
	poolRewardListRouter := Router.Group("poolRewardList").Use(middleware.OperationRecord())
	poolRewardListRouterWithoutRecord := Router.Group("poolRewardList")
	var poolRewardListApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolRewardListApi
	{
		poolRewardListRouter.POST("createPoolRewardList", poolRewardListApi.CreatePoolRewardList)   // 新建PoolRewardList
		poolRewardListRouter.DELETE("deletePoolRewardList", poolRewardListApi.DeletePoolRewardList) // 删除PoolRewardList
		poolRewardListRouter.DELETE("deletePoolRewardListByIds", poolRewardListApi.DeletePoolRewardListByIds) // 批量删除PoolRewardList
		poolRewardListRouter.PUT("updatePoolRewardList", poolRewardListApi.UpdatePoolRewardList)    // 更新PoolRewardList
	}
	{
		poolRewardListRouterWithoutRecord.GET("findPoolRewardList", poolRewardListApi.FindPoolRewardList)        // 根据ID获取PoolRewardList
		poolRewardListRouterWithoutRecord.GET("getPoolRewardListList", poolRewardListApi.GetPoolRewardListList)  // 获取PoolRewardList列表
	}
}
